[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TPROCESS.Handle

Handle of the process

## Declaration

Source position: processbody.inc line 127

`public property TPROCESS.Handle : THandle read FProcessHandle;`

## Description

Handle identifies the process. In Unix systems, this is the process ID. On windows, this is the process handle. It can be used to signal the process.

The handle is only valid after TProcess.Execute has been called. It is not reset after the process stopped.

## See also

TProcess.ThreadHandle |  | Main process thread handle
TProcess.ProcessID |  | ID of the process.
TProcess.ThreadID |  | ID of the main process thread